Bug 134367 - Warnings from system-config-samba
Warnings from system-config-samba
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-samba (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Riek
Depends On:
  Show dependency treegraph
Reported: 2004-10-01 14:34 EDT by H.J. Lu
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-04 21:45:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2004-10-01 14:34:14 EDT
I got

[root@gnu-10 rc3.d]# DISPLAY=gnu-d:0 system-config-samba
/usr/share/system-config-samba/mainWindow.py:113: DeprecationWarning:
use gtk.UIManager
  item_fac = gtk.ItemFactory(gtk.MenuBar, "<main>", accel_group)
/usr/share/system-config-samba/mainWindow.py:138: DeprecationWarning:
  button = self.toolbar.insert_stock('gtk-add', _("Add a samba
share"), None, self.onNewButtonClicked, None, 0)
/usr/share/system-config-samba/mainWindow.py:143: DeprecationWarning:
  self.properties_button = self.toolbar.insert_stock('gtk-properties',
_("Edit the properties of the selected directory"), None,
self.onPropertiesButtonClicked, None, 1)
/usr/share/system-config-samba/mainWindow.py:148: DeprecationWarning:
  self.delete_button = self.toolbar.insert_stock('gtk-delete',
_("Delete the selected directory"), None, self.onDeleteButtonClicked,
None, 2)
/usr/share/system-config-samba/mainWindow.py:153: DeprecationWarning:
  self.toolbar.insert_stock('gtk-help', _("View help"), None,
self.onHelpClicked, None, 3)
GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  self.warn(message, DeprecationWarning)
Comment 1 Nils Philippsen 2004-10-04 08:17:04 EDT
Which version of system-config-samba do you use?
Comment 2 H.J. Lu 2004-10-04 16:38:57 EDT
I am using system-config-samba-1.2.14-1.
Comment 3 Nils Philippsen 2004-10-05 12:17:20 EDT
system-config-samba-1.2.18-1 is currently building which contains
fixes for the gtk.mainloop()/gtk.mainquit() warnings. To fix the
gtk.ItemFactory and related warnings, part of the UI needs to be
reimplemented to use new widgets, which breaks translation etc. I'll
postpone this for after FC3 is released.
Comment 4 Nils Philippsen 2004-10-05 12:21:28 EDT
After fc2test3 mabye if all works out well.
Comment 5 Andrius Benokraitis 2004-11-30 17:41:22 EST
Seeing same warnings in version 1.2.21 (RHEL4B2)
Comment 6 Nils Philippsen 2004-12-29 05:21:01 EST
*** Bug 143678 has been marked as a duplicate of this bug. ***
Comment 7 Nils Philippsen 2005-02-16 08:50:38 EST
Bug 143678 reopened to keep track of things RHEL4 and FC3 separately.
Comment 9 David Lawrence 2006-03-10 11:33:47 EST
NEEDINFO_PM has been deprecated. Changing status to NEEDINFO and changing
ownership to pm manager.
Comment 10 Daniel Riek 2006-08-02 13:51:51 EDT
Nils, do you know if that problem still persists?

Proposing for 4.5
Comment 11 Nils Philippsen 2006-08-04 06:12:49 EDT
Daniel, I'm pretty the problem still exists in RHEL4. But as backporting them
would be too much of a hassle (see comment #3, i.e. IMO just rebasing to a new
version would impose a similar burden on QE). Besides these warnings aren't
harmful at all, it's just a cosmetical issue.
Comment 12 Nils Philippsen 2006-08-04 06:13:59 EDT
"pretty sure" even
Comment 13 Daniel Riek 2006-09-04 21:32:19 EDT
PM NACK for RHEL6 based on Engineering feedback.

The impact of this issue is too low to justify the efforts to fix it in RHEL4. 
Comment 14 RHEL Product and Program Management 2006-09-04 21:45:10 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.